// pages/setting/scanSetting/scanSetting.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    chuchang:false,
    status:{
      lableX201:false,
      lableX202:false,
      lableX203:false,
      lableX101:false,
      lableX102:false,
      lableX103:false,
      lableX104:false,
      lableX105:false,
      lableX106:false,
      lableX107:false,
    }
  },
  setChecked(e){
    var name = e.currentTarget.dataset.changename;
    var value = e.detail.value;
    console.log(this.data.status)
    for(var i in this.data.status){
      if(i == name){
        var type = "status."+name
        this.setData({
          [type]:value
        })
        wx.setStorageSync('labelStatus', JSON.stringify(this.data.status));
        break;
      }
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    //出厂检测不显示按钮
    this.setData({
      chuchang: options.from == 'chuchang' ,
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    var status = wx.getStorageSync('labelStatus')
    if(status){
      status = JSON.parse(status)
      //本地存储闭环，手动加入203
      status.lableX203 = !!status.lableX203
      this.setData({
        status,
      })
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})